Data Structures | Public Member Functions

# Blitter_32bppSimple Class Reference

The most trivial 32 bpp blitter (without palette animation). More...

`#include <32bpp_simple.hpp>`

Inheritance diagram for Blitter_32bppSimple:

## Data Structures
struct | Pixel
## Public Member Functions
void | Draw (Blitter::BlitterParams *bp, BlitterMode mode, ZoomLevel zoom)
| Draw an image to the screen, given an amount of params defined above.
void | DrawColourMappingRect (void *dst, int width, int height, PaletteID pal)
| Draw a colourtable to the screen.
Sprite * | Encode (const SpriteLoader::Sprite *sprite, AllocatorProc *allocator)
| Convert a sprite from the loader to our own format.
const char * | GetName ()
| Get the name of the blitter, the same as the Factory-instance returns.

## Detailed Description

The most trivial 32 bpp blitter (without palette animation).

Definition at line 19 of file 32bpp_simple.hpp.

## Member Function Documentation

void Blitter_32bppSimple::DrawColourMappingRect | ( | void * | dst,
|  | int | width,
|  | int | height,
|  | PaletteID | pal |
| ) |  |  | `[virtual]`

Draw a colourtable to the screen.

This is: the colour of the screen is read and is looked-up in the palette to match a new colour, which then is put on the screen again.

Parameters:

  | dst | the destination pointer (video-buffer).
  | width | the width of the buffer.
  | height | the height of the buffer.
  | pal | the palette to use.

Implements Blitter.

Reimplemented in Blitter_32bppAnim.

Definition at line 78 of file 32bpp_simple.cpp.

References DEBUG, Blitter_32bppBase::MakeGrey(), Blitter_32bppBase::MakeTransparent(), PALETTE_NEWSPAPER, and PALETTE_TO_TRANSPARENT.

The documentation for this class was generated from the following files:

- src/blitter/32bpp_simple.hpp
- src/blitter/32bpp_simple.cpp